## mcl 10-201

=== debian/changelog ===
mcl (1:10-201-21) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Added myself to uploaders
    - Fixed spelling of Debian Med
    - Standards-Version: 3.9.1 (no changes needed)
    - debhelper 7
    - removed versioned conflicts for mcl-doc from quite old mcl version
      which seems to be useless these days
  * debian/source/format: 3.0 (quilt)
  * debian/rules, debian/patches/01-manpage-errors.patch:
    Use sed on installed packages to get the same effect as the patch but
    there is no need to change the patch for new versions

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2011 15:58:07 +0100

mcl (1:10-148-1) unstable; urgency=low

  * New upstream release

 -- Philipp Benner <philipp@debian.org>  Tue, 01 Jun 2010 10:44:22 +0200

mcl (1:09-308-1) unstable; urgency=low

  * New upstream release
  * Moved repository to debian-med

 -- Philipp Benner <philipp@debian.org>  Tue, 24 Nov 2009 20:43:56 +0000

mcl (1:09-261-1) unstable; urgency=low

  * New upstream release

 -- Philipp Benner <philipp@debian.org>  Wed, 30 Sep 2009 10:54:28 +0000

mcl (1:09-182-1) unstable; urgency=low

  * New upstream release
  * New maintainer e-mail address
  * Removed DMUA

 -- Philipp Benner <philipp@debian.org>  Fri, 24 Jul 2009 08:15:19 +0000

mcl (1:09-149-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.8.2.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 27 Jun 2009 20:33:54 +0000

mcl (1:08-312-1) unstable; urgency=low

  * New upstream release.
  * Added debian/patches/manpages-whatis-fix.patch.
  * Added debian/patches/perl-interpreter-path.patch
  * Build-depends on zoem and tidy to regenerate manuals.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 25 Jan 2009 12:29:28 +0000

mcl (1:06-058-2) unstable; urgency=low

  * New maintainer e-mail address.
  * debian/control: Added DM-Upload-Allowed: yes.
  * debian/mcl-doc.doc-base.mcxio: fixed typo.
  * Changed the doc-base section according to the new policy.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Mon, 31 Mar 2008 11:04:53 +0200

mcl (1:06-058-1) unstable; urgency=low

  * Adopting package (Closes: #452405).
  * Standards version 3.7.2.
  * Added Vcs-Browser and Vcs-Svn field to debian/control.
  * Machine interpretable copyright file.
  * Improved config.{guess,sub} handling.
  * New upstream release.

 -- Philipp Benner <mail@philipp-benner.de>  Mon, 26 Nov 2007 14:37:21 +0100

mcl (1:06-021-2) unstable; urgency=low

  * Orphaning this package (per Bug #452405).  Set maintainer to Debian
    QA Group.
  * Move Homepage to control field.

 -- Joost van Baal <joostvb@debian.org>  Sat, 24 Nov 2007 00:35:03 +0100

mcl (1:06-021-1) unstable; urgency=low

  * New stable upstream release: Analysis and cache modes have been improved.
    This mcl binary in this release displays a citation reference on STDERR.
    Of course we honor upstream's wishes here, and do not suppress this
    helpful reminder.  See the comments in debian/rules for hints on how to
    operate if you disagree.
  * debian/control: found out how to add Homepage pseudo-field (finally!)
  * debian/control: we no longer ship plain text manpages in mcl-doc, adjust
    description.

 -- Joost van Baal <joostvb@debian.org>  Tue, 07 Feb 2006 21:05:31 +0100

mcl (1:05-321-1) unstable; urgency=low

  * New stable upstream release.  (Missed 05-272, 05-300, 05-314.)
    Some rephrased snippets from the announcement messages:
    + mcl-05-321:
     This mainly adds 'transformation' functionality, which complements the
     label-value streaming stuff.  It means you can apply quite complex
     transformations on values, albeit only context-insensive transformations.
    + mcl-05-314:
     MCL can now read in label input in a simple line based format where
     each lines contains two labels and an optional value separated by
     whitespace.  Output clusters are returned as lines of tab-separated
     labels.  The BLAST parser can stream this format directly to mcl
     creating a very concise and easy to manage sequence clustering
     pipeline.  The mcl(1) manual now has a 'getting started' section
     with some examples.  New utility mcxload(1) with many custom options for
     reading in label data and transforming the associated numerical values,
     storing mappings in tab files and saving a graph in native mcl input
     format.
    + mcl-05-300:
     Important for mcxassemble users: Changed mcxassemble to pick the maximum
     between repeated entries by default.  Other noteworthy changes: mcxdump
     can now also be used to restrict tab files, and: Fixed mcxsubs bug,
     introduced in last release, where selections never materialize unless one
     mysteriously specifies --rand-merge.  No changes in mcl, only stuff done
     to the graph manipulation programs.
    + mcl-05-272:
     Major changes in clmimac, a noticeable change in mclblastline, a minor
     addition to mcxdeblast, improved dump functionality in mcl.  If you just
     use mcl there is little need for upgrading.
    mcl-05-272 adds some extra stuff to doc/mcl/examples/ .
    As always, read changelog for details.
  * debian/mcl-doc.doc-base.mcxload: added
  * debian/{compat,control,rules}: move from debhelper compatibility level 3
    to 4 (add ${misc:Depends} to Depends)
  * debian/copyright: new snailmail address of FSF.
  * debian/watch: make sure it doesn't match the symlink mcl-latest.tar.gz.
  * debian/rules, debian/mcl-doc.install: no longer install upstream TODO file:
    it's not useful for users.
  * debian/control: fix versioned conflicts syntax
  * debian/rules: make proper use of comments: don't clobber build output.
  * debian/control: Standards Version bumped from 3.6.1.0 to 3.6.2.0 (no
    changes needed).

 -- Joost van Baal <joostvb@debian.org>  Wed, 23 Nov 2005 16:36:39 +0100

mcl (1:05-118-1) unstable; urgency=low

  * New stable upstream release: a lot faster on large graphs because a

