=== debian/control ===
Source: mcl
Section: math
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Philipp Benner <philipp@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, quilt, zoem, tidy
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mcl/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mcl/
Homepage: http://micans.org/mcl/

Package: mcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mcl-doc
Enhances: blast2, ncbi-tools-bin, bioperl-run
Description: the Markov Cluster algorithm
 The MCL package is an implementation of the MCL algorithm, and offers
 utilities for manipulating sparse matrices (the essential data
 structure in the MCL algorithm) and conducting cluster experiments.
 .
 MCL is currently being used in sciences like biology (protein family
 detection, genomics), computer science (node clustering in
 Peer-to-Peer networks), and linguistics (text analysis).

Package: mcl-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: mcl
Description: documentation for mcl
 The MCL package is an implementation of the Markov Cluster algorithm,
 for manipulating sparse matricess and conducting cluster experiments.
 .
 This is documention for mcl: the MCL FAQ, some examples as well as manpages
 in HTML and PostScript format.
