## mcl 11-294

=== debian/changelog ===
mcl (1:11-294-1) unstable; urgency=low

  * New upstream version
  * debian/rules: Added targets build-indep and build-arch
  * debian/control: Standards version 3.9.2

 -- Philipp Benner <philipp@debian.org>  Wed, 02 Nov 2011 20:23:52 +0000
