=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Philipp Benner <philipp@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, quilt, zoem, tidy
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mcl/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mcl/
 Homepage: http://micans.org/mcl/
@@ -15,7 +15,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: mcl-doc
 Enhances: blast2, ncbi-tools-bin, bioperl-run
-Description: the Markov Cluster algorithm
+Description: Markov Cluster algorithm
  The MCL package is an implementation of the MCL algorithm, and offers
  utilities for manipulating sparse matrices (the essential data
  structure in the MCL algorithm) and conducting cluster experiments.
