=== debian/rules ===
--- 
+++ 
@@ -121,8 +121,10 @@
 
 	touch configure-stamp
 
-build: patch configure build-stamp
-build-stamp: $(QUILT_STAMPFN)
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: patch configure $(QUILT_STAMPFN)
 	dh_testdir
 
 	$(MAKE)
