## mcl 12-068

=== debian/changelog ===
mcl (1:12-068-1) unstable; urgency=low

  * New upstream version
  * debian/control: Standards version 3.9.2

 -- Philipp Benner <philipp@debian.org>  Fri, 09 Mar 2012 15:15:48 +0000
