=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Philipp Benner <philipp@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, quilt, zoem, tidy
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mcl/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mcl/
 Homepage: http://micans.org/mcl/
