## mcl 12-135

=== debian/changelog ===
mcl (1:12-135-2) unstable; urgency=low

  * Added mayhem bugfixes.
  * Standards version 3.9.4.

 -- Philipp Benner <philipp@debian.org>  Sun, 07 Jul 2013 15:01:08 +0200

mcl (1:12-135-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Add citation information

  [ Philipp Benner ]
  * New upstream release
  * Hardening flags
  * Renamed variables with name 'restricted' in src/impala/matrix.c
    (Closes: #688655)

 -- Philipp Benner <philipp@debian.org>  Sun, 27 Jan 2013 15:49:50 +0100
