=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Philipp Benner <philipp@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, quilt, zoem, tidy
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), autotools-dev, quilt, zoem, tidy, aephea
+Standards-Version: 3.9.4
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mcl/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mcl/
 Homepage: http://micans.org/mcl/
