=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-include /usr/share/quilt/quilt.make
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 pkg=mcl
 
@@ -124,14 +125,14 @@
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
-build-stamp: patch configure $(QUILT_STAMPFN)
+build-stamp: configure $(QUILT_STAMPFN)
 	dh_testdir
 
 	$(MAKE)
 
 	touch build-stamp
 
-clean: unpatch config-clean
+clean: config-clean
 	dh_testdir
 	dh_testroot
 	$(RM) -f build-stamp configure-stamp
@@ -164,10 +165,6 @@
 
 binary-indep: build install
 	dh_installman
-	# Fix broken manpages instead
-	sed -i -e 's/^\(.TH "[cm][lc][mx]\) \+\(\w\)/\1\2/' \
-	       -e 's/^\([cm][lc][mx]\) \+\(\w\+ \\-\)/\1\2/' \
-	       $(CURDIR)/debian/$(pkg)/usr/share/man/man1/[cm]*.1
 	dh_installchangelogs ChangeLog
 	dh_compress
 	dh_fixperms
