=== debian/watch ===
version=3

http://micans.org/mcl/src/mcl-(..-.*)\.tar\.gz debian uupdate
