## mcl 14-137

=== debian/changelog ===
mcl (1:14-137-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
  * debian/rules: short dh
  * html docs are now installed into html subdirectory

 -- Andreas Tille <tille@debian.org>  Tue, 20 May 2014 15:50:29 +0200
