## mcl 14-137%2Bds

=== debian/changelog ===
mcl (1:14-137+ds-9build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 17:37:59 +0100

mcl (1:14-137+ds-9build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Nov 2020 17:11:01 +0100

mcl (1:14-137+ds-9) unstable; urgency=medium

  * Fix FTBFS when using gcc-10 (Closes: #957525)

 -- Shayan Doust <hello@shayandoust.me>  Wed, 22 Jul 2020 14:32:45 +0100

mcl (1:14-137+ds-8) unstable; urgency=medium

  * Add myself as an uploader
  * Modify patch to fix missing scripts' installation (Closes: #963774)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 29 Jun 2020 10:54:16 +0100

mcl (1:14-137+ds-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add missing Build-Depends: bsdextrautils
  * Enable backports

  [ Shayan Doust ]
  * Install missing library

 -- Shayan Doust <hello@shayandoust.me>  Sun, 21 Jun 2020 19:27:10 +0100

mcl (1:14-137+ds-6) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jun 2020 12:25:00 +0200

mcl (1:14-137+ds-5) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Shayan Doust ]
  * Patch for mcl OCaml support
  * OCaml headers are not compatible with c89, so change to c99
  * Add rules for *.ml files to build ...fails for some reason
  * Add build depends for OCaml
  * Add oasis as build dependency and run oasis setup in rules
  * Disable dh_auto_build as we do this manually due to OCaml
  * Use --with ocaml but invoke autoreconf manually within overridden
    dh_auto_build
  * New package libmcl-ocaml-dev providing the mcl / ocaml bindings
  * install ocaml libs within libmcl-ocaml-dev.install
  * Install META file
  * Set directory = "^" for ocamlfind to find the libs
  * Revert "Set directory = "^" for ocamlfind to find the libs"
  * Use XMETAExtraLines in _oasis to add directory = "^" for ocamlfind to
    find the libs

  [ Andreas Tille ]
  * Add Build-Depends to work with "--with ocaml"
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * dh_missing of debhelper compat=13 claims missing installation of docs
  * install mcl's own examples in one dir and autopkgtest in other dir
  * Section: ocaml

 -- Shayan Doust <hello@shayandoust.me>  Thu, 11 Jun 2020 19:18:39 +0100

mcl (1:14-137+ds-4) unstable; urgency=medium

  [ Saira Hussain ]
  * Team upload.
  * Provide autopkgtest

  [ Andreas Tille ]
  * Standards-Version: 4.4.0
  * debhelper 12

 -- Saira Hussain <saira.h0213@zoho.com>  Thu, 11 Jul 2019 14:30:55 +0200

mcl (1:14-137+ds-3) unstable; urgency=medium

  * Philipp Benner <philipp@debian.org> has retired - thanks for your
    work on this package
    Closes: #913462

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2018 10:07:17 +0100

mcl (1:14-137+ds-2) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * Fix Perl interpreter path

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2018 09:51:31 +0100

mcl (1:14-137+ds-1) unstable; urgency=medium

  * Do not save copies of docs in d/rules
    Closes: #887829
  * Remove files from upstream tarball which will be recreated and
    prevent building the package twice in a row
  * Standards-Version: 4.1.3
  * debhelper 11
  * Fix further spelling issues

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jan 2018 13:00:52 +0100

mcl (1:14-137-2) unstable; urgency=medium

  * DEP5
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Secure watch file
  * DEP3
  * hardening=+all
  * Fix spelling
  * Fix whatis entry in manpages

 -- Andreas Tille <tille@debian.org>  Tue, 28 Nov 2017 11:08:18 +0100
