=== debian/control ===
--- 
+++ 
@@ -1,18 +1,25 @@
 Source: mcl
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Philipp Benner <philipp@debian.org>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Shayan Doust <hello@shayandoust.me>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
+Build-Depends: debhelper-compat (= 13),
+               dh-ocaml,
                zoem,
                tidy,
-               aephea
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mcl/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mcl/
-Homepage: http://micans.org/mcl/
+               aephea,
+               ocaml,
+               ocamlbuild,
+               ocaml-findlib,
+               oasis,
+               bsdextrautils | bsdmainutils (<< 12.1.1~),
+               dh-exec
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/mcl
+Vcs-Git: https://salsa.debian.org/med-team/mcl.git
+Homepage: https://micans.org/mcl/
+Rules-Requires-Root: no
 
 Package: mcl
 Architecture: any
@@ -40,5 +47,21 @@
  The MCL package is an implementation of the Markov Cluster algorithm,
  for manipulating sparse matricess and conducting cluster experiments.
  .
- This is documention for mcl: the MCL FAQ, some examples as well as manpages
+ This is documentation for mcl: the MCL FAQ, some examples as well as manpages
  in HTML and PostScript format.
+
+Package: libmcl-ocaml-dev
+Architecture: any
+Section: ocaml
+Depends: ocaml-findlib,
+         mcl,
+         ${ocaml:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: ${ocaml:Provides}
+Description: library providing bindings between mcl and OCaml
+ The MCL package is an implementation of the MCL algorithm, and offers
+ utilities for manipulating sparse matrices (the essential data
+ structure in the MCL algorithm) and conducting cluster experiments.
+ .
+ This library provides bindings between mcl and OCaml.
