=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=s/\+ds//g,repack,compression=xz" \
   https://micans.org/mcl/src/mcl-(..-.*)\.tar\.gz
