## mcl 22-282+ds

=== debian/changelog ===
mcl (1:22-282+ds-4) unstable; urgency=medium

  * Build-Depends: architecture-is-64-bit since it does not build on 32bit
    any more

 -- Andreas Tille <tille@debian.org>  Sat, 25 Jan 2025 18:54:51 +0100

mcl (1:22-282+ds-3) unstable; urgency=medium

  * Move external code in a separate subdirectory
  * Save backup of changed docs to restore it in clean target
    Closes: #1046152
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Dec 2024 16:14:18 +0100

mcl (1:22-282+ds-2) unstable; urgency=medium

  * Team Upload.
  * Re-vendor mcxdeblast back (Closes: #1024170)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Nov 2022 17:51:43 +0530

mcl (1:22-282+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: libtingea-dev
  * Deactivate OCaml patch
  * There is no minimcl doc any more, but install the script anyway
  * Drop some doc-base files where doc was removed
  * lintian-overrides for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 13:57:43 +0100
