=== debian/control ===
Source: mcl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Shayan Doust <hello@shayandoust.me>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
#               dh-ocaml,
               zoem,
               tidy,
               aephea,
#               ocaml,
#               ocamlbuild,
#               ocaml-findlib,
#               oasis,
               bsdextrautils,
               dh-exec,
               libtingea-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/mcl
Vcs-Git: https://salsa.debian.org/med-team/mcl.git
Homepage: https://micans.org/mcl/
Rules-Requires-Root: no

Package: mcl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: mcl-doc
Enhances: ncbi-tools-bin,
          bioperl-run
Description: Markov Cluster algorithm
 The MCL package is an implementation of the MCL algorithm, and offers
 utilities for manipulating sparse matrices (the essential data
 structure in the MCL algorithm) and conducting cluster experiments.
 .
 MCL is currently being used in sciences like biology (protein family
 detection, genomics), computer science (node clustering in
 Peer-to-Peer networks), and linguistics (text analysis).

Package: mcl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: mcl
Description: documentation for mcl
 The MCL package is an implementation of the Markov Cluster algorithm,
 for manipulating sparse matricess and conducting cluster experiments.
 .
 This is documentation for mcl: the MCL FAQ, some examples as well as manpages
 in HTML and PostScript format.
