=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-pkg:= $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # allow bashism's in commandlines
 SHELL = /bin/bash
@@ -60,19 +60,35 @@
 docbackupdir:=$(CURDIR)/debian/doc.bak
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
-	if [ -d $(docbackupdir) ] ; then \
-	    rm -rf doc ; \
-	    mv $(docbackupdir) doc ; \
-	fi
+override_dh_clean:
+	dh_clean
+	find . -name "*.zmr" -delete
+	find . -name "*.zmt" -delete
+	rm -rf doc/*.1 doc/*.html doc/*-html doc/*.ps
+	rm -rf src/alien/oxygen/doc/*.1 src/alien/oxygen/doc/*.html src/alien/oxygen/doc/*.ps
+	if [ -d $(docbackupdir) ] ; then mv $(docbackupdir)/*.txt doc/ ; rm -rf $(docbackupdir) ; fi
+
+#override_dh_auto_build:
+#	#dh_auto_build
+#	autoreconf --install
+#	oasis setup
+#	ocaml setup.ml -all
 
 override_dh_auto_configure:
-	cp -a doc $(docbackupdir)
-	./configure \
-           $(confflags) \
-           --prefix=/usr \
-           --mandir=\$${prefix}/share/man \
-           --infodir=\$${prefix}/share/info
+	mkdir -p $(docbackupdir)
+	cp -a doc/mcl*.txt $(docbackupdir)
+	dh_auto_configure -- $(confflags)
+
+override_dh_install:
+	dh_install
+	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
+	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
+	done
+
+override_dh_missing:
+	# Remove duplicated doc (*.html) and doc we do not want (*.ps)
+	rm -f debian/tmp/usr/share/doc/mcl/*.html \
+	      debian/tmp/usr/share/doc/mcl/*.ps
+	dh_missing
